#region Using declarations
using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.ComponentModel.DataAnnotations;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Input;
using System.Windows.Media;
using System.Xml.Serialization;
using NinjaTrader.Cbi;
using NinjaTrader.Gui;
using NinjaTrader.Gui.Chart;
using NinjaTrader.Gui.SuperDom;
using NinjaTrader.Gui.Tools;
using NinjaTrader.Data;
using NinjaTrader.NinjaScript;
using NinjaTrader.Core.FloatingPoint;

#endregion



#region NinjaScript generated code. Neither change nor remove.

namespace NinjaTrader.NinjaScript.Indicators
{
	public partial class Indicator : NinjaTrader.Gui.NinjaScript.IndicatorRenderBase
	{
		
		private ABTrading.ABPowerX[] cacheABPowerX;

		
		public ABTrading.ABPowerX ABPowerX(int mACDFast, int mACDSlow, int mACDSignal, int stochasticK, int stochasticSmooth, int rSIPeriod, bool accountUseFixedPositionSize, int accountFixedContractNumber, string accountName, float accountPercentRisk, bool accountIncludeCommissions, int tradeTriggerDistance, int tradeTriggerValidityPeriod, int tradePlannerAdrPeriod, double tradePlannerStopMultiple, double tradePlannerTargetMultiple)
		{
			return ABPowerX(Input, mACDFast, mACDSlow, mACDSignal, stochasticK, stochasticSmooth, rSIPeriod, accountUseFixedPositionSize, accountFixedContractNumber, accountName, accountPercentRisk, accountIncludeCommissions, tradeTriggerDistance, tradeTriggerValidityPeriod, tradePlannerAdrPeriod, tradePlannerStopMultiple, tradePlannerTargetMultiple);
		}


		
		public ABTrading.ABPowerX ABPowerX(ISeries<double> input, int mACDFast, int mACDSlow, int mACDSignal, int stochasticK, int stochasticSmooth, int rSIPeriod, bool accountUseFixedPositionSize, int accountFixedContractNumber, string accountName, float accountPercentRisk, bool accountIncludeCommissions, int tradeTriggerDistance, int tradeTriggerValidityPeriod, int tradePlannerAdrPeriod, double tradePlannerStopMultiple, double tradePlannerTargetMultiple)
		{
			if (cacheABPowerX != null)
				for (int idx = 0; idx < cacheABPowerX.Length; idx++)
					if (cacheABPowerX[idx].MACDFast == mACDFast && cacheABPowerX[idx].MACDSlow == mACDSlow && cacheABPowerX[idx].MACDSignal == mACDSignal && cacheABPowerX[idx].StochasticK == stochasticK && cacheABPowerX[idx].StochasticSmooth == stochasticSmooth && cacheABPowerX[idx].RSIPeriod == rSIPeriod && cacheABPowerX[idx].AccountUseFixedPositionSize == accountUseFixedPositionSize && cacheABPowerX[idx].AccountFixedContractNumber == accountFixedContractNumber && cacheABPowerX[idx].AccountName == accountName && cacheABPowerX[idx].AccountPercentRisk == accountPercentRisk && cacheABPowerX[idx].AccountIncludeCommissions == accountIncludeCommissions && cacheABPowerX[idx].TradeTriggerDistance == tradeTriggerDistance && cacheABPowerX[idx].TradeTriggerValidityPeriod == tradeTriggerValidityPeriod && cacheABPowerX[idx].TradePlannerAdrPeriod == tradePlannerAdrPeriod && cacheABPowerX[idx].TradePlannerStopMultiple == tradePlannerStopMultiple && cacheABPowerX[idx].TradePlannerTargetMultiple == tradePlannerTargetMultiple && cacheABPowerX[idx].EqualsInput(input))
						return cacheABPowerX[idx];
			return CacheIndicator<ABTrading.ABPowerX>(new ABTrading.ABPowerX(){ MACDFast = mACDFast, MACDSlow = mACDSlow, MACDSignal = mACDSignal, StochasticK = stochasticK, StochasticSmooth = stochasticSmooth, RSIPeriod = rSIPeriod, AccountUseFixedPositionSize = accountUseFixedPositionSize, AccountFixedContractNumber = accountFixedContractNumber, AccountName = accountName, AccountPercentRisk = accountPercentRisk, AccountIncludeCommissions = accountIncludeCommissions, TradeTriggerDistance = tradeTriggerDistance, TradeTriggerValidityPeriod = tradeTriggerValidityPeriod, TradePlannerAdrPeriod = tradePlannerAdrPeriod, TradePlannerStopMultiple = tradePlannerStopMultiple, TradePlannerTargetMultiple = tradePlannerTargetMultiple }, input, ref cacheABPowerX);
		}

	}
}

namespace NinjaTrader.NinjaScript.MarketAnalyzerColumns
{
	public partial class MarketAnalyzerColumn : MarketAnalyzerColumnBase
	{
		
		public Indicators.ABTrading.ABPowerX ABPowerX(int mACDFast, int mACDSlow, int mACDSignal, int stochasticK, int stochasticSmooth, int rSIPeriod, bool accountUseFixedPositionSize, int accountFixedContractNumber, string accountName, float accountPercentRisk, bool accountIncludeCommissions, int tradeTriggerDistance, int tradeTriggerValidityPeriod, int tradePlannerAdrPeriod, double tradePlannerStopMultiple, double tradePlannerTargetMultiple)
		{
			return indicator.ABPowerX(Input, mACDFast, mACDSlow, mACDSignal, stochasticK, stochasticSmooth, rSIPeriod, accountUseFixedPositionSize, accountFixedContractNumber, accountName, accountPercentRisk, accountIncludeCommissions, tradeTriggerDistance, tradeTriggerValidityPeriod, tradePlannerAdrPeriod, tradePlannerStopMultiple, tradePlannerTargetMultiple);
		}


		
		public Indicators.ABTrading.ABPowerX ABPowerX(ISeries<double> input , int mACDFast, int mACDSlow, int mACDSignal, int stochasticK, int stochasticSmooth, int rSIPeriod, bool accountUseFixedPositionSize, int accountFixedContractNumber, string accountName, float accountPercentRisk, bool accountIncludeCommissions, int tradeTriggerDistance, int tradeTriggerValidityPeriod, int tradePlannerAdrPeriod, double tradePlannerStopMultiple, double tradePlannerTargetMultiple)
		{
			return indicator.ABPowerX(input, mACDFast, mACDSlow, mACDSignal, stochasticK, stochasticSmooth, rSIPeriod, accountUseFixedPositionSize, accountFixedContractNumber, accountName, accountPercentRisk, accountIncludeCommissions, tradeTriggerDistance, tradeTriggerValidityPeriod, tradePlannerAdrPeriod, tradePlannerStopMultiple, tradePlannerTargetMultiple);
		}
	
	}
}

namespace NinjaTrader.NinjaScript.Strategies
{
	public partial class Strategy : NinjaTrader.Gui.NinjaScript.StrategyRenderBase
	{
		
		public Indicators.ABTrading.ABPowerX ABPowerX(int mACDFast, int mACDSlow, int mACDSignal, int stochasticK, int stochasticSmooth, int rSIPeriod, bool accountUseFixedPositionSize, int accountFixedContractNumber, string accountName, float accountPercentRisk, bool accountIncludeCommissions, int tradeTriggerDistance, int tradeTriggerValidityPeriod, int tradePlannerAdrPeriod, double tradePlannerStopMultiple, double tradePlannerTargetMultiple)
		{
			return indicator.ABPowerX(Input, mACDFast, mACDSlow, mACDSignal, stochasticK, stochasticSmooth, rSIPeriod, accountUseFixedPositionSize, accountFixedContractNumber, accountName, accountPercentRisk, accountIncludeCommissions, tradeTriggerDistance, tradeTriggerValidityPeriod, tradePlannerAdrPeriod, tradePlannerStopMultiple, tradePlannerTargetMultiple);
		}


		
		public Indicators.ABTrading.ABPowerX ABPowerX(ISeries<double> input , int mACDFast, int mACDSlow, int mACDSignal, int stochasticK, int stochasticSmooth, int rSIPeriod, bool accountUseFixedPositionSize, int accountFixedContractNumber, string accountName, float accountPercentRisk, bool accountIncludeCommissions, int tradeTriggerDistance, int tradeTriggerValidityPeriod, int tradePlannerAdrPeriod, double tradePlannerStopMultiple, double tradePlannerTargetMultiple)
		{
			return indicator.ABPowerX(input, mACDFast, mACDSlow, mACDSignal, stochasticK, stochasticSmooth, rSIPeriod, accountUseFixedPositionSize, accountFixedContractNumber, accountName, accountPercentRisk, accountIncludeCommissions, tradeTriggerDistance, tradeTriggerValidityPeriod, tradePlannerAdrPeriod, tradePlannerStopMultiple, tradePlannerTargetMultiple);
		}

	}
}

#endregion
